import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "databasemodule_v2.js" as DB

Page {
    id: gridPage

    property int topicId: 0
    property var gridViewModel: null

    flickable: null

    function reload () {
        gridViewModel = getModel()
        organicGridView.reload()
    }

    function clear() {
        gridViewModel = null
        organicGridView.clear()
    }

    function triggerLoadMore() {
        organicGridView.loadMore()
    }

    OrganicGrid {
        id: organicGridView
    }
}
